## ucf 0.07

=== debian/changelog ===
ucf (0.07) unstable; urgency=low

  * Fix a few missing grep trigger set -e failures.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Mar 2002 01:14:57 -0600

ucf (0.06) unstable; urgency=high

  * Added the ionformational script lcf and the associated man page.
  * Fixed a major thinko in ucf that could potentially trash the hashfile

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Feb 2002 14:30:59 -0600

ucf (0.05) unstable; urgency=low

  * /etc/ucf.conf and ucf.conf(5) disagreed due to a typo in the man
    page. Fixed.                                             closes: Bug#135691
  * Added the ability for the developer to specify a single file with
    historical md5sums, instead of having to ship a directory populated
    with single line files for every configuration file in the
    package. This is now beginning to get reasonably complex ;-)

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 25 Feb 2002 12:03:43 -0600

ucf (0.04) unstable; urgency=high

  * Hmm. Failed to replace the configuration file if the old file was a
    symbolic link to the new file (happened for gnus users). Thanks go to
    wsheets@sbcglobal.net for pointing this out.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Feb 2002 20:21:42 -0600

ucf (0.03) unstable; urgency=low

  * Fixed typo in the long description
  * Fixed the fact that the script was always verbose
  * Fixed a spelling error in a diagnostic

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 13 Feb 2002 23:02:29 -0600

ucf (0.02) unstable; urgency=low

  * Fixed typo in long desc.
  * Changed section to utils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 12 Feb 2002 04:17:38 -0600

ucf (0.01) unstable; urgency=low

  * New version of the package.  

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Feb 2002 22:25:42 -0600
