## ucf 1.07

=== debian/changelog ===
ucf (1.07) unstable; urgency=low

  * Bug fix: "[l10:ca] orville-write catalan debconf templates", thanks to
    Aleix Badia i Bosch                                   (Closes: #248754).
  * Bug fix: "ucf: debconf spanish translation", thanks to Lucas Wall
                                                          (Closes: #253244).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 22 Jun 2004 17:51:35 -0500

ucf (1.06) unstable; urgency=low

  * Bug fix: "ucf tries to show diff of non-existent file", thanks to
    Frank Küster. Darn. Applied the fix to the three way merge the last
    time, not to the simple diff stanza.              (Closes: #243953).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Apr 2004 16:28:39 -0500

ucf (1.05) unstable; urgency=low

  * The patch for the optiopn added in the last version was provided by
    Matthew Palmer <mpalmer@debian.org>. Much appreciated.
  * Bug fix: "manpage incorrect for --sum-file", thanks to Matthew Palmer
    Also fixed a typo in ucf reported in the same report, and, while I was
    at it, I escaped all hyphens in ucf.1.                (Closes: #244853).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 15:18:02 -0500

ucf (1.04) unstable; urgency=low

  * Bug fix: "ucf tries to show diff of non-existent file", thanks to
    Frank Küster. This is still the correct behaviour, as long as a
    diff is show, which should be the case now.      (Closes: #243953).
  * Added an option to specify where the old md5sum can be found for
    historical versions. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 12:17:19 -0500

ucf (1.03) unstable; urgency=low

  * Bug fix: "Hangs on waiting for user input _sometimes_", thanks to
    Peter Gervai                                     (Closes: #242445).
  * Bug fix: "ucf: Minor description typo", thanks to Jeroen van
    Wolffelaar                                       (Closes: #243482).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Apr 2004 02:37:52 -0500

ucf (1.02) unstable; urgency=low

  * Bug fix: "ucf: --debconf-ok option useless", thanks to Roger So
    Applied patch; we should only set DEBCONF_OK if it is not set.
                                                  (Closes: #242434).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Apr 2004 13:20:12 -0500

ucf (1.01) unstable; urgency=low

  * Bug fix: "fontconfig: postinst script fails (2)", thanks to Frederic
    Briere                                             (Closes: #241846).
  * Bug fix: "Does not handle invalid PAGER gracefully", thanks to
    J.H.M. Dassen (Ray)                                (Closes: #241890).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  4 Apr 2004 16:09:58 -0500

ucf (1.00) unstable; urgency=low

  * Shut off withecho, since we should be fairly stable now. Bump version
    number to reflect that. 
  * Bug fix: "ucf creates superfluous dpkg-dist files", thanks to Frank
    Küster                                            (Closes: #238730).
  * Bug fix: "ucf: diff is not displayed with DEBIAN_FRONTEND=dialog and
    more as sensible-pager", thanks to Frank Küster. This was nasty. Now
    ucf thinks like sensible-pager, looking at $PAGER,
    /etc/alternatives/pager, and, failing that, ensuring /bin/more exists
    -- and then, if the pager is more, it pauses after displaying the
    diff, so that the diff is not whisked away by debconf looping back to
    ask for what's next.                                (Closes: #239319).
  * Thanks to extensive patches from Fabio Massimo Di Nitto
    <fabbione@fabbione.net>, ucf should now be able to handle file names
    with spaces in them. Touch wood.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Apr 2004 02:10:48 -0600

ucf (0.33) unstable; urgency=low

  * Bug fix: "ucf: Variable errors in ucf script breaks lm-sensors
    installation", thanks to Frédéric Bothamy (Closes: #237944).
  * Bug fix: "apache-common: /etc/apache/modules.conf is not modified",
    thanks to Oliver Zimmermann (Closes: #237946).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 14 Mar 2004 11:14:21 -0600

ucf (0.32) unstable; urgency=low

  * Fixed debconf handling -- POTFILES.in needs t9o have the master
    template, not the generated one.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 13 Mar 2004 12:22:11 -0600

ucf (0.31) unstable; urgency=low

  * Moved to the new debconf mechanism is skeleton-make-rules, which shall
    allow ucf to be backported to older debconf versions.
  * Bug fix: "ucf: Please add the attached Brazilian Portuguese debconf
    template translation", thanks to Andre Luis Lopes (Closes: #235489).
  * Bug fix: "ucf: French debconf templates translation", thanks to Eric
                                                      (Closes: #236715).
  * Bug fix: "ucf: Option --debug exists only in manpage, but is not
    recognized", thanks to Frank KKüster               (Closes: #237114).
  * Bug fix: "ucf: please consider adding symlink support", thanks to Marc
    Haber. Actually, Fabio Massimo Di Nitto <fabbione@fabbione.net> did
    the heavy lifting on this one and sent in a tested, working patch. 
                                                       (Closes: #213080).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Mar 2004 14:48:31 -0600

ucf (0.30) unstable; urgency=low

  * Convert to po-debconf, also thanks to Joey Hess.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Feb 2004 15:22:29 -0600

ucf (0.29) unstable; urgency=low

  * Thanks to Joey Hess for noticing that the debconf support in ucf was
    not complete. Added the template to the control archive, source the
    confmodule in postinst, and purge debconf db on purge. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Feb 2004 09:49:20 -0600

ucf (0.28) unstable; urgency=low

  Joey Hess <joeyh@debian.org>
  * Added debconf support to ucf. It will use debconf for prompting.

