## ucf 1.13

=== debian/changelog ===
ucf (1.13) unstable; urgency=low

  * Bug fix: "&quot;The cache file is $cached_file&quot; should be printed
    only in verbose mode", thanks to Florent Rougon (Closes: #279350).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 Nov 2004 11:24:13 -0600

ucf (1.12) unstable; urgency=medium

  * Bug fix: "ucf creates Destination on "registration" if it
    does not exist", thanks to Florent Rougon (Closes: #279259).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Nov 2004 19:44:00 -0600

ucf (1.11) unstable; urgency=medium

  * Bug fix: "ucf creates Destination on &quot;registration&quot; if it
    does not exist", thanks to Florent Rougon. Now, even if there are no
    mentions of the file in the database, and there is no destination
    file, as long as historical md5sum dirs of files exist, the
    destination is not recreated.                       (Closes: #279259).
  * Bug fix: "ucf leaves files in the cache after --purge", thanks to
    Florent Rougon. The purge action is now moved to a point after the
    cache file name is canclulated.                     (Closes: #279262).
  * Bug fix: "Error messages when ucf-managed files are deleted", thanks
    to Florent Rougon                                   (Closes: #279261).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Nov 2004 15:22:51 -0600

ucf (1.10) unstable; urgency=high

  * Urgency high since the package was mostly useless when used with
    command line arguments and debconf. 
  * Bug fix: "--three-way does not put the file into the cache", thanks to
    Florent Rougon . This is because the threeway option was lost when ucf
    was re-executed under debconf.                         (Closes: #278089).
  * Bug fix: "Typos in the manual pages and default configuration file",
    thanks to Florent Rougon. Much appreciated.            (Closes: #278091).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Oct 2004 13:52:22 -0500

ucf (1.09) unstable; urgency=medium

  * Urgency medium since it does close an important bug that made
    prompting, err, bork for German users
  * Bug fix: "ucf: German translation of the debconf templates is borked",
    thanks to Michael Piefel                             (Closes: #269031).
  * Bug fix: "Please document that "--debconf-ok"; works also if
    debconf is not running", thanks to Frank Küster      (Closes:  #266807).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 22 Sep 2004 13:05:01 -0500

ucf (1.08) unstable; urgency=low

  * Bug fix: "ucf file dest is buggy if dest contains egrep metachars",
    thanks to Hagen von Eitzen                        (Closes: #262134).
  * Bug fix: "ucf: Please add German translation of the debconf
    templates", thanks to Erik Schanze                (Closes: #264432).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 13 Aug 2004 21:07:45 -0500
