## ucf 1.17

=== debian/changelog ===
ucf (1.17) unstable; urgency=low

  * Bug fix: "ucf: assumes that debconf-loadtemplates is always there",
    thanks to Miles Bader                                   (Closes: #300159).
  * Added a recommendation for debconf-utils for debconf-loadtemplate (not
    templates). 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 18 Mar 2005 18:26:01 -0600

ucf (1.16) unstable; urgency=low

  * Bug fix: "Typo on line 55 of /usr/bin/ucf", thanks to Troy Arnold
                                                         (Closes: #300136).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 16:55:42 -0600

ucf (1.15) unstable; urgency=low

  * Bug fix: "ucf: spelling error in manpage", thanks to Sean Finney
                                                         (Closes: #296088).
  * Bug fix: "ucf: new configuration file appear two times", thanks to
    Martin Lohmeier. In three way merges, remove the generated .dpkg-new
    file created during the merge                        (Closes: #296186).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Mar 2005 02:46:36 -0600

ucf (1.14) unstable; urgency=low

  * Bug fix: "/usr/share/doc/ucf/examples/postinst refers /usr/man",
    thanks to Marc Haber                                 (Closes: #294558).
  * Bug fix: "[l10n] Initial Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                              (Closes: #287302).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Feb 2005 01:36:25 -0600
