=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 Package: ucf
 Architecture: all
+Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user
  changes during package upgrade.  The easy way to achieve this behavior
