## ucf 1.18

=== debian/changelog ===
ucf (1.18) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ja] initial debconf Japanese translation", thanks
    to Kenshi Muto                                        (Closes: #307007).
  * Bug fix: "'man ucf' typo: &quot;awlays&quot;", thanks to A Costa
                                                           (Closes: #306736).
  * Bug fix: "'man lcf' typos: &quot;algoriothm&quot; and
    &quot;directrory&quot;", thanks to A Costa             (Closes: #306735).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 May 2005 01:27:15 -0500
