## ucf 2.004

=== debian/changelog ===
ucf (2.004) unstable; urgency=low

  * Bug fix: "ucf: [INTL:da] Danish debconf template translation", thanks
    to Claus Hindsgaul                                    (Closes: #337038).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Dec 2005 20:23:50 -0600

ucf (2.003) unstable; urgency=low

  * Bug fix: "ucf: Update of the french translation of the debconf
    templates", thanks to Eric                           (Closes: #331290).
  * Bug fix: "ucf: [INTL:sv] Swedish debconf templates translation",
    thanks to Daniel Nylander                            (Closes: #334800).
  * Bug fix: "ucf: Needs root access to display the help message", thanks
    to Frédéric Bothamy. Allow ucf to be run as non-root. This entailed
    not loading debconf related stuff, since that seems to require root
    privileges. Instead, we just emit a diagnostic and go on. Hopefully
    this is enough to let the user know when debconf does not work as
    expected. Also, if ucf is not running as root, automatically
    transition into the no-action mode, so a non-root user can still be
    able run ucf in diagnostic mode.                     (Closes: #332239).
  * Added a note to the man page that --purge does not touch the
    configuration file on disk -- cleaning that up is still the calling
    package's responsibility.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Oct 2005 15:12:58 -0500

ucf (2.002) unstable; urgency=low

  * Bug fix: "INTL:vi Vietnamese translation for ucf", thanks to Clytie
    Siddall                                                (Closes: #323951).
  * Bug fix: "Please document that ucf may not exist when the postrm
    script is called"                                      (Closes: #326085).
  * Bug fix: "Please include sdiff in the menu options", thanks to  Tobias      
    Toedter                                                (Closes: #323989).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Sep 2005 14:52:26 -0500

ucf (2.001) unstable; urgency=low

  * Bug fix: "ucf: missing UCF_FORCE_CONFFMISS option", thanks to Goswin
    Brederlow                                             (Closes: #321702).
  * Add a dependency on debconf.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Aug 2005 15:17:13 -0500

ucf (2.000) unstable; urgency=low

  * Also remove /var/lib/ucf/cache if it is empty. The problem was that
    since the cache directory existed, ucf was   leaving /var/lib/ucf
    behind on purge, which was bad. Thanks to Lars  Wirzenius for noticing.
  * Bug fix: "ucf: [INTL:pl] Polish translation of debconf templates",
    thanks to Robert Luberda                               (Closes: #312716).
  * Bug fix: "ucf: prints verbose info even with VERBOSE=0 set in the
    config file", thanks to Robert Luberda                  (Closes: #312727).
  * Bug fix: "ucf: [INTL:it] Italian debconf translation", thanks to Luca
    Bruno                                                   (Closes: #316913).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jul 2005 12:25:13 -0500
