## ucf 2.0012

=== debian/changelog ===
ucf (2.0012) unstable; urgency=low

  * Bug fix: "ucf takes not enough care using readlink -f", thanks to
    Matthew Vernon. While this is not a grave bug (emitting better
    diagnostics is nice, but hardly critical), I did go through and fixed
    all readlink failing issues. I also improved the pager determination
    code, while I was at it, so ucf is more likely to find a sensible
    pager. The new code should also handle a messed up /etc/alternatives
    setup now.                                          (Closes: #372303).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 Jun 2006 12:53:50 -0500

ucf (2.0011) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ja] Japanese debconf translation ", thanks to
    Kenshi Muto                                            (Closes: #369187).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Jun 2006 09:58:22 -0500

ucf (2.0010) unstable; urgency=low

  * Bug fix: "[INTL:gl] Galician debconf templates translation", thanks to
    Jacobo Tarrio                                          (Closes: #362135).
  * Bug fix: "[INTL:nl] (new|updated) dutch po-debconf translation",
    thanks to Kurt De Bree                                 (Closes: #363037).
  * Bug fix: "ucf can not handle files with regex ex characters", thanks
    to Sean Finney. Well. We now protect against perl's regexp syntax,
    which ought to be good enough for grep.                 (Closes: #364668).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  2 May 2006 22:15:58 -0500

ucf (2.009) unstable; urgency=low

  * Added a new script to query the data kept by ucf, including the
    package registry that ucfr maintains.
  * Bug fix: "ucf: Could provide a method to query changed state", thanks
    to Frank Küster                                      (Closes: #342252).
  * Bug fix: "please add an option to list all ucf-managed files
    associated with a package", thanks to Marc Haber     (Closes: #357837).
  * Bug fix: "ucf: please provide infrastructure to remove deleted
    conffiles", thanks to Marc Haber                     (Closes: #358552).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Apr 2006 16:40:13 -0500

ucf (2.008) unstable; urgency=low

  * Bug fix: "ucf: Could use ucf-{old,dist} instead of dpkg-{old,dist}",
    thanks to Frank Küster                             (Closes: #336055).
  * Bug fix: "ucf: Please register information about the package that
    installed a configuration file", thanks to Frank K (Closes: #296598).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                            (Closes: #356534).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Apr 2006 15:03:25 -0500

ucf (2.007) unstable; urgency=low

  * Bug fix: "wrong call to find: invalid argument `-f' to `-type'",
    thanks to Martin Michlmayr                       (Closes: #356498).
  * Bug fix: "ucf: [INTL:pl] Update of the Polish debconf template
    translation", thanks to Robert Luberda            (Closes: #356119).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 12 Mar 2006 08:52:58 -0600

ucf (2.006) unstable; urgency=low

  * Make sure we get rid of all cached files also when purged.
  * Bug fix: "does not purge cached configuration files in
    /var/lib/ucf/cache", thanks to Bart Martens      (Closes: #354441).
  * Bug fix: "tetex-base: purge incomplete", thanks to Bart Martens
                                                     (Closes: #354442).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  5 Mar 2006 10:32:20 -0600

ucf (2.005) unstable; urgency=low

  * Bug fix: "[l10n:de] Updated German translation of the debconf
    templates", thanks to Erik Schanze                       (Closes: #346293).
  * Bug fix: "ucf: Leaves files behind after remove/purge", thanks to JP
    Sugarbroad                                               (Closes: #348415).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Jan 2006 11:46:20 -0600
