=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
-Build-Depends-Indep: po-debconf
-Standards-Version: 3.6.1.0
+Build-Depends-Indep: po-debconf, gettext
+Standards-Version: 3.6.2.0
 
 Package: ucf
 Architecture: all
+Depends: debconf (>= 1.2.0) | debconf-2.0
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user
