## ucf 2.0017ubuntu1

=== debian/changelog ===
ucf (2.0017ubuntu1) feisty; urgency=low

  * use a debconf note for the diff
  * updated dependency of debconf to 1.4.72 (this is the version that
    supports the "escape" capability) and remove cdebconf

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Feb 2007 10:50:08 +0100

ucf (2.0017) unstable; urgency=low

  * Bug fix: "ucf: spelling errors", thanks to Matt Taggart (Closes: #395444).
  * Bug fix: "ucf: should be silent when it's being purged", thanks to
    Santiago Vila                                           (Closes: #397112).
  * Bug fix: "please document package registry better", thanks to Frank
    Küster. The package registry is documented in a manual page. Any
    enhancements to the manual page would be gratefully accepted. The ucf
    manual page now has a reference to ucfr and ucfq. I d not think,
    however, that this merits a NEWS file: the vast majority of users who
    install ucf do so since it is pulled in as a dependency, and they
    don't care a white about ucfr being added.  The only people who might
    care are people who use ucf to manage configuration files, and that is
    a very small number.  NEWS items should be relegated to important
    information that may affect the majority of installations; and this
    does not fit the bill.
                                                            (Closes: #395011).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 16 Nov 2006 12:00:03 -0600

ucf (2.0016) unstable; urgency=low

  * Bug fix: "ucfq --help does not work", thanks to arno. The package name
    is ucf, not Ucf, fixed.                                 (Closes: #394269).
  * Bug fix: "ucf: Does not handle pathnames with '//' properly", thanks
    to Frank Küster. We now use readlink -q -m to canonicalize the path
    names presented to ucf.                                 (Closes: #392070).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 11:17:50 -0500

ucf (2.0015) unstable; urgency=low

  * Bug fix: "ucf: Man page path error: /usr/share/doc/examples", thanks
    to Thijs Kinkhorst                                  (Closes: #384126).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 14:27:35 -0500

ucf (2.0014) unstable; urgency=low

  * Bug fix: "ucf: please document the files that should be removed",
    thanks to Torsten Werner                               (Closes: #381736).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 20 Aug 2006 13:26:29 -0500

ucf (2.0013) unstable; urgency=low

  * Bug fix: "ucf: missing versioned dependency on coreutils", thanks to
    Steinar H. Gunderson                                    (Closes: #378334).
  * Bug fix: "ucf: Broken manpage for ucfq", thanks to Benjamin A. Okopnik
                                                            (Closes: #377980).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 02:13:38 -0500
