=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
 Build-Depends-Indep: po-debconf, gettext
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2.0
 
 Package: ucf
 Architecture: all
-Depends: debconf (>= 1.2.0) | debconf-2.0
+Depends: debconf (>= 1.4.72), coreutils (>= 5.91)
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user
