## ucf 2.0020

=== debian/changelog ===
ucf (2.0020) unstable; urgency=low

  * Bug fix: "Syntax error in /usr/bin/ucfr", thanks to Emmanuel Bouthenot
    Aaargh. Reincorporate change from the NMU. I thought I had done this,
    but I apparently did not.                            (Closes: #407963).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 25 Feb 2007 13:27:36 -0600

ucf (2.0019) unstable; urgency=medium

  * Bug fix: "&quot;ucfr: should prepend it's name to error
    messages/warnings&quot;", thanks to Vincent Lönngren. This was already
    the case, for the most part, but a few places had been missed.
                                                            (Closes: #408540).
  * Bug fix: "ucf : [INTL:pt] Portuguese translation for debconf
    messages", thanks to Traduz ML                           (Closes: #410266).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 24 Feb 2007 20:02:07 -0600

ucf (2.0018) unstable; urgency=high

  * Bug fix: "ucf: [INTL:pt_BR] Please consider updating the Brazilian
    Portuguese debconf template translation", thanks to André Luís Lopes
                                                        (Closes: #403817).
  * Bug fix: "ucf: Typo in man page: packagr should be package", thanks to
    per.bojsen@bojsen.us. Simple typo fix.              (Closes: #400839).
  * Bug fix: "ucf: Duplicated phrase in ucf message", thanks to Robert
    Luberda. Simple typo fix.                           (Closes: #406053).
  * Bug fix: "ucf: [ucfq] strange behavior when querying filenames",
    thanks to Frank Küster. Modified ucfq/ucfr man pages to emphasize that
    the scripts need a *full* path name to the file.  Added sanity checks
    such that not providing a full path would result in a diagnostic, but
    for etch just exit gracefully.  For lenny, these scripts shall die
    with an error.  Clarify all over that <path to configuration file>
    means a full path.                                   (Closes: #401899).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 18 Jan 2007 16:09:18 -0600
