=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: ucf
 Architecture: all
-Depends: debconf (>= 1.4.72), coreutils (>= 5.91)
+Depends: debconf (>= 1.2.0) | debconf-2.0, coreutils (>= 5.91)
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user
