## ucf 3.001

=== debian/changelog ===
ucf (3.001) unstable; urgency=low

  * Bug fix: "ucf: [INTL:ru] Russian debconf template translation", thanks
    to Yuri Kozlov                                        (Closes: #421141).
  * Bug fix: "ucf: should use debconf to display the diff results", thanks
    to Gustavo Noronha Silva. Users using a Graphical frontend are
    surprised when the display apparently just blocks when they ask to see
    a diff (or 3-way diff) of the configuration file being handled, when
    actually the diff is  displayed on the terminal window ucf was run
    on. Until the debconf-escape utility and the escape CAPB support,
    db_subst ran into newline and line length issues. Patch from Michael
    Vogt.                                                 (Closes: #325576). 
  * From Michael Vogt's patch: use a debconf note for the diff. updated
    dependency of debconf to 1.4.72 (this is the version that supports the
    "escape" capability) 
  * Left in the debconf-2.0 as is, since I am assuming anything that
    provides debconf-2.0 should be a drop in replacement, or that should
    be considered a bug. This is a change from Michael Vogt's patch.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  5 May 2007 11:59:20 -0500

ucf (2.0021) unstable; urgency=low

  * Bug fix: "ucf: does not transfer mode changes to conffile", thanks to
    Marc Haber.  We now use cp -pf to preserve ownership and permissions. 
                                                          (Closes: #406476).
  * Bug fix: "shouldn't .ucf-dist and .ucf-old be included in example
    code?", thanks to Marc Haber                          (Closes: #418240).
  * Bug fix: "possible typo in ucfq(1)", thanks to Marc Haber
                                                          (Closes: #418241).
  * Bug fix: "ucf : [INTL:pt] Updated Portuguese translation for debconf
    messages", thanks to Traduz - Portuguese Translation Team
                                                          (Closes: #418280).
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Apr 2007 18:56:32 -0500
