=== debian/control ===
--- 
+++ 
@@ -1,4 +1,6 @@
 Source: ucf
+XS-VCS-Arch: http://arch.debian.org/arch/private/srivasta/grab/ucf
+XS-VCS-Browse: http://arch.debian.org/cgi-bin/archzoom.cgi/srivasta@debian.org--lenny/ucf?expand
 Section: utils
 Priority: optional
 Maintainer: Manoj Srivastava <srivasta@debian.org>
@@ -7,7 +9,7 @@
 
 Package: ucf
 Architecture: all
-Depends: debconf (>= 1.2.0) | debconf-2.0, coreutils (>= 5.91)
+Depends: debconf (>= 1.4.72) | debconf-2.0, coreutils (>= 5.91)
 Recommends: debconf-utils
 Description: Update Configuration File: preserves user changes to config files.
  Debian policy states that configuration files must preserve user
