## ucf 3.005

=== debian/changelog ===
ucf (3.005) unstable; urgency=low

  * Bug fix: "ucfq /path/to/file is broken", thanks to Niko Tyni. Applied
    the patch provided in the report.                     Closes: #460868
  * Of course, this did not mean that the modified column was actually
    filled with valid values: A number of places we were not using the
    proper accessor methods, which added to the confusion. Fixed. 
                                                          Closes: #464238
  * Add a new --debconf-template option to specify an alternate
    caller-provided debconf template for the user prompt. Heavy lifting
    done by Steve Langasek. This was apparently done to allow grub in
    Ubuntu to manage partial file fragments.              Closes: #456241.
  * Use db_x_loadtemplatefile instead of debconf-loadtemplates for template
    loading, and depend on debconf (>= 1.5.19) | cdebconf for the
    implementation. Thanks to Steve Langasek.             Closes: #424926
  * Drop the Recommends: debconf-utils now that it's no longer used.
  * Instead of proceeding merrily on our way if the three way merge fails,
    we now leave the dest file unchanged, leave the mess in the new file
    (foo.ucf-new), tell the user about it, and abort the upgrade by
    exiting with exit 3. We still psit out an error about conflicts.
    Hopefully, this adequately resolves the bug.          Closes: #456245
                                             

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 21 Feb 2008 01:10:57 -0600

ucf (3.004) unstable; urgency=high

  * For "keep current" and "threeway merge", ucf expects answers from
    debconf which differ from what is specified in the template
    master. Frans Pop suggested using the Choices-C feature of debconf,
    which is relatively new, but defines a fixed alias for each option
    which Debconf will then use in db_get and db_set operations -- so no
    more matching the template in the code. He also kindly provided a
    working patch. Updated versioned dependency on debconf to reflect the
    need for a new version.                Closes: #443179, #449274, #453084
  * Bug fix: "[INTL:fi] Finnish translation of the debconf templates",
    thanks to Esko Arajärvi .                            Closes: Bug#448634

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 Nov 2007 03:29:24 -0600

ucf (3.004~fjp) UNRELEASED; urgency=low

  * Use Choices-C in changeprompt templates to simplify interaction with
    debconf.

 -- Frans Pop <fjp@debian.org>  Mon, 01 Oct 2007 17:56:54 +0200

ucf (3.003) unstable; urgency=low

  * Bug fix: "ucf: expects the wrong answers from debconf", thanks to
    Björn Steinbrink. For "keep current" and "threeway merge", ucf expects
    answers from debconf which differ from what is specified in the
    template master, which had been changed in the review process.  This
    fixes that bug; which made ucf mostly useless.         (Closes: #443179). 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Sep 2007 09:58:39 -0500

ucf (3.002) unstable; urgency=low

  * Bug fix: "Polish translation for ucf", thanks to Wojciech Zareba
                                                          (Closes: #430834).
  * Bug fix: "ucf : [INTL:pt] Updated Portuguese translation for debconf
    messages", thanks to Traduz - Portuguese Translation Team
                                                          (Closes: #439691).
  * Bug fix: "ucf: [INTL:fr] French debconf templates translation update",
    thanks to Christian Perrier                           (Closes: #432286).
  * Bug fix: "Fwd: PACOTE: [INTL:pt] Updated Portuguese translation for
    debconf messages", thanks to Miguel Figueiredo        (Closes: #431621).
  * Bug fix: "[INTL:ru] Russian debconf templates translation update",
    thanks to Yuri Kozlov                                 (Closes: #431261).
  * Bug fix: "ucf: [INTL:sv] Swedish debconf templates translation
    update", thanks to Daniel Nylander                    (Closes: #430540).
  * Bug fix: "[l10n] Updated Czech translation of ucf debconf messages",
    thanks to Miroslav Kure                               (Closes: #430344).
  * Bug fix: "ucf: [INTL:es] Updated spanish translation", thanks to
    Javier Fernández-Sanguino Peña                        (Closes: #429942).
  * Bug fix: "ucf: [INTL:ja] updated Japanese debconf translation", thanks
    to Kenshi Muto                                        (Closes: #429892).
  * Bug fix: "[INTL:gl] Galician debconf template translation for ucf",
    thanks to Jacobo Tarrio                               (Closes: #429831).
  * Bug fix: "[INTL:eu] ucf debconf basque translation", thanks to Piarres
    Beobide                                               (Closes: #429816).
  * Bug fix: "ucf: [INTL:da] Updated Danish debconf translation", thanks
    to Claus Hindsgaul                                    (Closes: #426787).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze                                          (Closes: #431342).
  * Bug fix: "[INTL:de] German translation for ucf (debconf)", thanks to
    Erik Schanze. I actually used th translations from the bug 431342
                                                          (Closes: #428717). 
  * Bug fix: "ucf: [INTL:vi] Vietnamese debconf templates translation
    update", thanks to Clytie Siddall                     (Closes: #429909).
  * Bug fix: "ucf: [INTL:vi] Vietnamese debconf templates translation
    update", thanks to Clytie Siddall                     (Closes: #426998).
  * Bug fix: "ucf: [debconf_rewrite] Debconf templates review", thanks to
    Christian Perrier                                     (Closes: #426491).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Sep 2007 00:26:58 -0500
